# set term if it's not set
if tty -s
then

    if [ "$TERM" = "" -o "$TERM" = "unknown" -o "$TERM" = "dialup"  \
	 -o "$TERM" = "network" ]
    then
	    # look in /etc/ttytype first.
	    unset TERM
	    eval `tset -s`

	    if [ "$TERM" = "" -o "$TERM" = "unknown" -o "$TERM" = "dialup"  \
		 -o "$TERM" = "network" ]
	    then

		    # wasn't in /etc/ttytype (not surprising), so
		    # we use ttytype to guess the terminal type.

		    # This sets TERM, ROWS, COLUMNS and ERASE
		    # (and it takes an xterm for a vt100, so hopefully
		    # TERM is already set correctly if we use an xterm)
		    eval `ttytype -s -a`

		    # The braindead lanman telnet pretends to be a
		    # vt320 but has the wrong backspace.
		    # SmarTerm does almost the same.
		    if [ "$TERM" = "vt320" -o "$TERM" = "vt420" ]
		    then
			    ERASE="^H"
		    fi
	    fi
    fi

    export TERM

    # set erase to ^H, if ERASE is not set
    if [ "$ERASE" = "" ]
    then
	    ERASE="^H"
	    export ERASE
    fi
    stty erase $ERASE



    # Set erase, kill, intr, quit, eof, susp

    stty kill "^U" intr "^C" quit "^X" eof "^D" susp "^Z"

    # Set 8-bit/no parity mode (german umlauts!)

    stty -parenb cs8 -istrip
    stty hupcl ixon ixoff

    # ignore xterm for now, because it doesn't work on linux
    # and may not be needed on HP-UX.
    if [ "$TERM" = hp -o "$TERM" = hpterm ]
    then
	    eval `resize`		# get columns and lines
    fi

    export SISTERM=$TERM
fi
